'\"
'\" Copyright 1990 Regents of the University of California
'\" Permission to use, copy, modify, and distribute this
'\" documentation for any purpose and without fee is hereby
'\" granted, provided that this notice appears in all copies.
'\" The University of California makes no representations about
'\" the suitability of this material for any purpose.  It is
'\" provided "as is" without express or implied warranty.
'\" 
'\" $Header: /a/cvs/386BSD/ports/tk/doc/after.n,v 1.1.1.1 1993/08/09 01:21:03 jkh Exp $ SPRITE (Berkeley)
'\" 
.so man.macros
.HS after cmds
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
after \- Execute a command after a time delay
.SH SYNOPSIS
\fBafter \fIms \fR?\fIarg1 arg2 arg3 ...\fR?
.BE

.SH DESCRIPTION
.PP
This command is used to delay execution of the program or to execute
a command in background after a delay.  The \fIms\fR argument gives
a time in milliseconds.
If \fIms\fR is the only argument to \fBafter\fR
then the command sleeps for \fIms\fR milliseconds and returns.
.VS
While the command is sleeping the application still responds to
X events and other events.
.VE
.PP
If additional arguments are
present after \fIms\fR, then a Tcl command is formed by concatenating
all the additional arguments in the same fashion as the \fBconcat\fR
command.  \fBAfter\fR returns immediately but arranges for the command
to be executed \fIms\fR milliseconds later in background.
.VS
The command will be executed at global level (outside the context
of any Tcl procedure).
.VE
If an error occurs while executing the delayed command then the
\fBtkerror\fR mechanism is used to report the error.
.PP
The \fBafter\fR command always returns an empty string.

.SH "SEE ALSO"
tkerror

.SH KEYWORDS
delay, sleep, time
